## ros-noetic-mrpt-msgs-bridge 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(mrpt_msgs_bridge)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS 
  geometry_msgs
  marker_msgs
  mrpt_msgs
  roscpp
  tf2
  )

## System dependencies are found with CMake's conventions
find_package(mrpt-obs REQUIRED)
find_package(mrpt-ros1bridge REQUIRED)
message(STATUS "MRPT_VERSION: ${MRPT_VERSION}")

if (CMAKE_COMPILER_IS_GNUCXX)
	# High level of warnings.
	# The -Wno-long-long is required in 64bit systems when including sytem headers.
	# The -Wno-variadic-macros was needed for Eigen3, StdVector.h
	add_compile_options(-Wall -Wno-long-long -Wno-variadic-macros)
	# Workaround: Eigen <3.4 produces *tons* of warnings in GCC >=6. See http://eigen.tuxfamily.org/bz/show_bug.cgi?id=1221
	if (NOT ${CMAKE_CXX_COMPILER_VERSION} LESS "6.0")
		add_compile_options(-Wno-ignored-attributes -Wno-int-in-bool-context)
	endif()
endif()

IF(CMAKE_COMPILER_IS_GNUCXX AND NOT CMAKE_BUILD_TYPE MATCHES "Debug")
  add_compile_options(-O3)
ENDIF()

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
    geometry_msgs
    marker_msgs
    mrpt_msgs
    roscpp
    tf2
#  DEPENDS mrpt
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(include ${catkin_INCLUDE_DIRS})

# Declare a cpp library
add_library(${PROJECT_NAME}
   src/beacon.cpp
   src/marker_msgs.cpp
   src/landmark.cpp
   src/network_of_poses.cpp
)

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}
  PUBLIC
  mrpt::obs
  mrpt::ros1bridge
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

# Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

#############
## Testing ##
#############

=== debian/changelog ===
ros-noetic-mrpt-msgs-bridge (1.0.3-1buster) buster; urgency=high

  * Fix CMake script error due to last commit typo
  * Contributors: Jose Luis Blanco Claraco

 -- José Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-msgs-bridge (1.0.2-1buster) buster; urgency=high

  * Fix wrong destination for mrpt_msgs_bridge headers
  * Contributors: Jose Luis Blanco Claraco

 -- José Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-msgs-bridge (1.0.1-1buster) buster; urgency=high

  * New package mrpt_msgs_bridge
  * Contributors: Jose Luis Blanco-Claraco

 -- José Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 23 Jun 2022 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-mrpt-msgs-bridge
Section: misc
Priority: optional
Maintainer: José Luis Blanco-Claraco <joseluisblancoc@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-marker-msgs, ros-noetic-mrpt-msgs, ros-noetic-mrpt2, ros-noetic-ros-environment, ros-noetic-roscpp, ros-noetic-tf2
Homepage: https://www.mrpt.org/
Standards-Version: 3.9.2

Package: ros-noetic-mrpt-msgs-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-marker-msgs, ros-noetic-mrpt-msgs, ros-noetic-mrpt2, ros-noetic-roscpp, ros-noetic-tf2
Description: C++ library to convert between custom mrpt_msgs messages and native MRPT classes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-mrpt-msgs-bridge//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-mrpt-msgs-bridge 1.0.4

=== debian/changelog ===
ros-noetic-mrpt-msgs-bridge (1.0.4-1focal) focal; urgency=high



 -- José Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 27 Mar 2023 22:00:00 -0000

ros-noetic-mrpt-msgs-bridge (1.0.3-1focal) focal; urgency=high

  * Fix CMake script error due to last commit typo
  * Contributors: Jose Luis Blanco Claraco

 -- José Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-msgs-bridge (1.0.2-1focal) focal; urgency=high

  * Fix wrong destination for mrpt_msgs_bridge headers
  * Contributors: Jose Luis Blanco Claraco

 -- José Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-msgs-bridge (1.0.1-1focal) focal; urgency=high

  * New package mrpt_msgs_bridge
  * Contributors: Jose Luis Blanco-Claraco

 -- José Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 23 Jun 2022 22:00:00 -0000
